/* imageSensorDrv.h */
#ifndef _AXMIMAGESENSORDRV_H_
#define _AXMIMAGESENSORDRV_H_

//#define DEBUG_EXPOSURE

extern "C" {
	void setAECalcData(long aediff);
	void setAECalcData1(long opdY_ave);
	void setAECalcData2(long aediff);
	void setAEControlValue(long AeControlValue);
	void setIrisThValue(long absTh1 , long absTh2 , unsigned char noChangeCnt);
	void setAEMainObj(unsigned long OpdYMainObjectAve , unsigned long OpdYNonMainObjectAve , unsigned long NonMainObjectAreaWeight);
	void setRegLog(unsigned long regSPU0 , unsigned long regMIX_ACT);
	void setRegLog3(unsigned long regRPU , unsigned long frame);
	void setRegLog4(int id);
	void clrDrvLog(void);
	void setHistogramLog(int bin ,  short weight);
	void setHistogramLog2(int bin ,  short weight);

}
#endif	// _AXMIMAGESENSORDRV_H_
